Bug 17301

Summary: Add callnumber to label-edit-batch.pl
Product: Koha Reporter: Nick Clemens <nick>
Component: ToolsAssignee: Nick Clemens <nick>
Status: CLOSED FIXED QA Contact: Testopia <testopia>
Severity: enhancement    
Priority: P5 - low CC: katrin.fischer, kyle
Version: master   
Hardware: All   
OS: All   
Change sponsored?: --- Patch complexity: Small patch
Documentation contact: Documentation submission:
Text to go in the release notes:
Version(s) released in:
Attachments: Bug 17301 - Add callnumber to label-edit-batch.pl
[SIGNED-OFF] Bug 17301 - Add callnumber to label-edit-batch.pl
[PASSED QA] Bug 17301 - Add callnumber to label-edit-batch.pl
Bug 17301: Follow-up - Standardize headings

Description Nick Clemens 2016-09-14 17:38:26 UTC
It would be helpful to be able to the see item callnumbers when working with a label batch
Comment 1 Nick Clemens 2016-09-14 17:40:08 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2016-09-14 18:26:49 UTC
Created attachment 55572 [details] [review]
[SIGNED-OFF] Bug 17301 - Add callnumber to label-edit-batch.pl

To test:
1 - Create a label batch
2 - Add some items
3 - Note you do not see callnumber
4 - Apply patch
5 - Verify callnumber displays correctly
6 - Verify batch functions (adding, exporting, removing, etc) work as
    before

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Katrin Fischer 2016-09-18 10:17:28 UTC
Created attachment 55645 [details] [review]
[PASSED QA] Bug 17301 - Add callnumber to label-edit-batch.pl

To test:
1 - Create a label batch
2 - Add some items
3 - Note you do not see callnumber
4 - Apply patch
5 - Verify callnumber displays correctly
6 - Verify batch functions (adding, exporting, removing, etc) work as
before

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 4 Katrin Fischer 2016-09-18 10:18:44 UTC
Note: this new column heading is not translatable, but so are the others. It adds useful information, but this module is a bit horrible in terms of translation - table headings and error messages are in the .pl file.
Comment 5 Katrin Fischer 2016-09-18 10:19:24 UTC
Created attachment 55646 [details] [review]
Bug 17301: Follow-up - Standardize headings

- Fixes for capitalization
- Changes 'Item callnumber' to 'Call number' to match
  other pages like advanced search
Comment 6 Kyle M Hall 2016-09-27 13:12:48 UTC
Pushed to master for 16.11, thanks Nick, Katrin!